Subject: Agapanthus

From: [email-masked] (Jan Cripsin-Little)
Date: Tue, 21 Mar 1995 22:14:35 GMT

I have two agapanthus (one blue one white) that I planted three years ago.  
The first winter I was in the middle of a home remodel project and did not 
have time to dig the bulbs before winter (I live in SLC which is somewhere 
between Zone 5 and 6).  Instead, I took some plastic green ``hats'' a friend 
made and stuck them on top of the plants.  We had freezing temperatures 
several times that winter, but in the spring when I removed the caps, my 
agapanthus was poking through the soil.  The last two years I just milched 
with 3 to 4 inches of leaves which has worked just as well.  They will 
survive in colder zones if protected.
Jan